# Grenade throw type selection

The logic for selecting the grenade throw type is stored in `\properties\animation_selector\`**`human_grenade_throw_type.inc`**

The grenade throw type is determined before the throw via the `grenade_throw_type` request and does not change until the next throw.

The selection logic uses the following checks:

* `cover_type` — the type of cover from which the throw is made
* `throwing_range` — throwing distance
* `item_in_hand` — check of the item held by the unit

Available grenade throw types in *Men of War II (custom types can be added)*

* `forward` — overarm throw, vertical arm movement
* `side` — sidearm throw, horizontal arm movement
* `force` — forceful throw
* `mega` — maximum force throw

The grenade throw type is not the same as selecting the grenade throw animations.\
The throw type can be checked in Animation Selector files using the `human_throw_type` parameter in an `if`block.

<details>

<summary>Example: grenade throw type selection</summary>

```
{grenade_throw_type 
    {if cover_type "snipe_cover" 
        {type "forward"} 
    } 
    {if item_in_hand "m24" "f1" "mk1" "m39" "m61" ; light frag grenades 
        {if throwing_range 0 5 
            {type "forward"} 
        } 
        {if throwing_range 5 10 
            {type "side"} 
        } 
        {if throwing_range 10 20 
            {type "force"} 
        } 
        {type "mega"} 
    }
    [...]
}
```

</details>

<details>

<summary>Example: checking grenade throw type in an animation selector</summary>

```
{lie_throw_begin 
    {if human_throw_type "force" "mega" 
        {anm "lie_throw_grenade_1_begin"} 
    } 
    {anm "lie_throw_grenade_begin"} 
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bestway.com.ua/animation/animation-system-for-actor/animation-selection-setup/grenade-throw-type-selection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
